<div class="demographics">
  <app-content-banner [isDashboard]="false" pageName="Demographics"></app-content-banner>
  <mat-card class="demographics-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="10px">
      <app-client-banner></app-client-banner>
    </mat-card-header>
    <mat-card-content class="regular-mat-form-field">
      <mat-tab-group dynamicHeight [selectedIndex]="selectedTab" (selectedTabChange)="tabChanged($event)">
        <mat-tab id="DemographicsTab">
          <ng-template matTabLabel>
            <span>Demographics Data</span>
            <mat-icon *ngIf="demographicDataTabStatus !== 2"
              [ngStyle]="{'color': demographicDataTabStatus == 0 ? pendingColor : demographicDataTabStatus == 1 ? completedColor :noColor}">
              {{demographicDataTabStatus == 1?'check_circle': demographicDataTabStatus == 0 ? 'watch_later': ''}}
            </mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <form [formGroup]="demoGraphicGroup">
                  <div style="margin-top: 10px; margin-bottom: 10px;" fxLayout="column" class="div-border">
                    <h3>Demographics</h3>
                    <section>
                      <table style="width: 100%;">
                        <tr>
                          <td style="width: 25%;">
                            <label>Preferred or AKA First Name: </label>
                          </td>
                          <td style="width: 25%;">
                            <mat-form-field appearance="outline">
                              <input matInput name="akaFirstName" formControlName="akaFirstNameCtrl" maxlength="50"
                                style="text-transform: uppercase">
                              <!-- <mat-error *ngIf="demoGraphicGroup.get('akaFirstNameCtrl').invalid">FirstName is required.
                            </mat-error> -->
                            </mat-form-field>
                          </td>
                          <td style="width: 25%;">
                            <label>Preferred or AKA Last Name: </label>
                          </td>
                          <td style="width: 25%;">
                            <mat-form-field appearance="outline">
                              <input matInput name="akaLastName" formControlName="akaLastNameCtrl" maxlength="50"
                                style="text-transform: uppercase">
                              <!-- <mat-error *ngIf="demoGraphicGroup.get('akaLastNameCtrl').invalid">LastName is required.
                            </mat-error> -->
                            </mat-form-field>
                          </td>
                        </tr>
                        <tr>
                          <td>
                            <mat-label class="green-label">Social Security Number: </mat-label>
                          </td>
                          <td>
                            <mat-form-field appearance="outline">
                              <input matInput name="ssn" formControlName="ssnCtrl" placeholder="Social Security Number"
                                [textMask]="mask" readonly class="disableField">
                              <mat-error *ngIf="demoGraphicGroup.get('ssnCtrl').invalid">Social Security Number is
                                required.
                              </mat-error>
                            </mat-form-field>
                          </td>
                          <td>
                            <mat-label class="green-label">Gender: </mat-label>
                          </td>
                          <td>
                            <mat-form-field appearance="outline">
                              <!-- <mat-label>Select Gender</mat-label> -->
                              <mat-select formControlName="genderTypeCtrl" [disabled]="true">
                                <mat-option *ngFor="let gender of genderType" [value]="gender.refGroupDetailID">
                                  {{gender.refGroupDetailDescription}}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                          </td>
                        </tr>
                        <tr>
                          <td>
                            <mat-label class="green-label">Date of Birth: </mat-label>
                          </td>
                          <td>
                            <mat-form-field appearance="outline">
                              <input matInput [matDatepicker]="dob" formControlName="dobCtrl"
                                (dateChange)="calculateAge($event)" readonly class="disableField">
                              <!-- <mat-icon  matSuffix (click)="dob.open()" style="cursor:pointer; color:#777;">today
                            </mat-icon > -->
                              <mat-datepicker #dob></mat-datepicker>
                              <mat-error *ngIf="demoGraphicGroup.get('dobCtrl').invalid">Invalid Date, Please enter
                                valid
                                DOB.
                              </mat-error>
                            </mat-form-field>
                          </td>
                          <td>
                            <mat-label class="green-label">Age: </mat-label>
                          </td>
                          <td>
                            <mat-form-field appearance="outline">
                              <input matInput formControlName="ageCtrl" placeholder="Age" readonly class="disableField">
                            </mat-form-field>
                          </td>
                        </tr>
                        <tr>
                          <td>
                            <mat-label>Address: </mat-label>
                          </td>
                          <td>
                            <mat-form-field appearance="outline">
                              <!-- <mat-label>Address</mat-label> -->
                              <input matInput formControlName="addressCtrl" style="text-transform: uppercase"
                                maxlength="50">
                            </mat-form-field>
                          </td>
                          <td>
                            <mat-label>Apt#: </mat-label>
                          </td>
                          <td>
                            <mat-form-field appearance="outline">
                              <input matInput formControlName="aptNoCtrl" maxlength="4">
                            </mat-form-field>
                          </td>
                        </tr>
                        <tr>
                          <td>
                            <mat-label>City: </mat-label>
                          </td>
                          <td>
                            <mat-form-field appearance="outline">
                              <input matInput formControlName="cityCtrl" style="text-transform: uppercase"
                                maxlength="20">
                            </mat-form-field>
                          </td>
                          <td>
                            <mat-label>State: </mat-label>
                          </td>
                          <td>
                            <mat-form-field appearance="outline">
                              <input matInput formControlName="stateCtrl" style="text-transform: uppercase" mask="SS"
                                maxlength="2">
                            </mat-form-field>
                          </td>
                        </tr>
                        <tr>
                          <td>
                            <mat-label>Zip: </mat-label>
                          </td>
                          <td>
                            <mat-form-field appearance="outline">
                              <input matInput mask="00000-0000" formControlName="zipCtrl" min="0" maxlength="10"
                                onkeyup="if(this.value<0){this.value= this.value * -1}">
                            </mat-form-field>
                          </td>
                          <td></td>
                          <td></td>
                        </tr>
                        <tr>
                          <td>
                            <mat-label class="red-label">Borough: </mat-label>
                          </td>
                          <td>
                            <mat-form-field appearance="outline">
                              <mat-select formControlName="boroughTypeCtrl">
                                <mat-option [value]="0">Select One</mat-option>
                                <mat-option *ngFor="let borough of boroughType" [value]="borough.refGroupDetailID">
                                  {{borough.refGroupDetailDescription}}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                          </td>
                          <td></td>
                          <td></td>
                        </tr>
                        <tr>
                          <td>
                            <mat-label class="red-label">Marital Status: </mat-label>
                          </td>
                          <td>
                            <mat-form-field appearance="outline">
                              <mat-select formControlName="maritalStatusTypeCtrl">
                                <mat-option [value]="0">Select One</mat-option>
                                <mat-option *ngFor="let mstatus of maritalStatusType"
                                  [value]="mstatus.refGroupDetailID">
                                  {{mstatus.refGroupDetailDescription}}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                          </td>
                          <td></td>
                          <td></td>
                        </tr>
                        <tr>
                          <td>
                            <mat-label class="red-label">Has Applicant been employed in
                              the past two years?: </mat-label>
                          </td>
                          <td>
                            <mat-form-field appearance="outline">
                              <mat-select formControlName="wasEmployedIn2YrsCtrl"
                                (selectionChange)="wasEmployedIn2YrsSelectedValueChange($event)">
                                <mat-option [value]="0">Select One</mat-option>
                                <mat-option *ngFor="let wasEmployed of wasEmployedIn2Yrs"
                                  [value]="wasEmployed.refGroupDetailID">
                                  {{wasEmployed.refGroupDetailDescription}}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                          </td>
                          <td>
                            <div *ngIf="wasEmployedIn2YrsSelectedValue == 33">
                              <mat-label class="red-label">Total number of months employed in last 24 months:
                              </mat-label>
                            </div>
                          </td>
                          <td>
                            <div *ngIf="wasEmployedIn2YrsSelectedValue == 33">
                              <mat-form-field appearance="outline">
                                <input matInput formControlName="noOfMonthsEmployedIn2YrsCtrl" maxlength="2" min="1"
                                  type="number" max="24">
                              </mat-form-field>
                            </div>
                          </td>
                        </tr>
                        <tr>
                          <td>
                            <mat-label class="red-label">Ethnicity: </mat-label>
                          </td>
                          <td>
                            <mat-form-field appearance="outline">
                              <mat-select formControlName="ethnicityTypeCtrl">
                                <mat-option [value]="0">Select One</mat-option>
                                <mat-option *ngFor="let ethnicity of ethnicityType"
                                  [value]="ethnicity.refGroupDetailID">
                                  {{ethnicity.refGroupDetailDescription}}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                          </td>
                          <td></td>
                          <td></td>
                        </tr>
                        <tr>
                          <td>
                            <mat-label class="red-label">Primary Language Spoken: </mat-label>
                          </td>
                          <td>
                            <mat-form-field appearance="outline">
                              <mat-select formControlName="primaryLanguageTypeCtrl">
                                <mat-option [value]="0">Select One</mat-option>
                                <mat-option *ngFor="let primaryLanguage of primaryLanguageType"
                                  [value]="primaryLanguage.refGroupDetailID">
                                  {{primaryLanguage.refGroupDetailDescription}}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                          </td>
                          <td></td>
                          <td></td>
                        </tr>
                        <tr>
                          <td>
                            <mat-label class="red-label">Veteran: </mat-label>
                          </td>
                          <td>
                            <mat-form-field appearance="outline">
                              <mat-select formControlName="veteranTypeCtrl" (selectionChange)="IsVeteran($event)">
                                <mat-option [value]="0">Select One</mat-option>
                                <mat-option *ngFor="let veteran of veteranType" [value]="veteran.refGroupDetailID">
                                  {{veteran.refGroupDetailDescription}}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                          </td>
                          <td>
                            <div *ngIf="IsVateranSelectedValue == 33">
                              <mat-label class="red-label">Type of Discharge: </mat-label>
                            </div>
                          </td>
                          <td>
                            <div *ngIf="IsVateranSelectedValue == 33">
                              <mat-form-field appearance="outline">
                                <mat-select formControlName="dischargeTypeCtrl">
                                  <mat-option [value]="0">Select One</mat-option>
                                  <mat-option *ngFor="let discharge of dischargeType"
                                    [value]="discharge.refGroupDetailID">
                                    {{discharge.refGroupDetailDescription}}
                                  </mat-option>
                                </mat-select>
                              </mat-form-field>
                            </div>
                          </td>
                        </tr>
                        <tr>
                          <td>
                            <mat-label class="red-label">Education: </mat-label>
                          </td>
                          <td>
                            <mat-form-field appearance="outline">
                              <mat-select formControlName="educationTypeCtrl">
                                <mat-option [value]="0">Select One</mat-option>
                                <mat-option *ngFor="let education of educationType"
                                  [value]="education.refGroupDetailID">
                                  {{education.refGroupDetailDescription}}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                          </td>
                          <td></td>
                          <td></td>
                        </tr>
                      </table>
                    </section>
                  </div>
                </form>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <mat-tab id="FinancialBenifitTab">
          <ng-template matTabLabel>
            <span>Financial / Benefits</span>
            <mat-icon *ngIf="financialBenefitsTabStatus !== 2"
              [ngStyle]="{'color': financialBenefitsTabStatus == 0 ? pendingColor : financialBenefitsTabStatus == 1 ? completedColor :noColor}">
              {{financialBenefitsTabStatus == 1?'check_circle': financialBenefitsTabStatus == 0 ? 'watch_later': ''}}
            </mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <form [formGroup]="financialBenifitGroup">
                  <div style="margin-top: 10px; margin-bottom: 10px;" fxLayout="column" class="div-border">
                    <div fxLayout="row" fxLayoutAlign="start">
                      <h3>Financial / Benefits</h3>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div fxFlex="25" class="label-height">
                        <label class="red-label">Employment Salary:</label>
                      </div>
                      <div fxFlex="75" class="items-row">
                        <div class="item">
                          <mat-form-field appearance="outline" class="y-n-dropdown">
                            <input type="hidden" formControlName="hdnDemographicFinancialBenefitsIDCtrl" />
                            <mat-select formControlName="empSalaryTypeCtrl"
                              (selectionChange)="EmpSalarySelectedValueChange($event)">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let salary of empSalaryType" [value]="salary.refGroupDetailID">
                                {{salary.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="empSalaryTypeSelected == 33">
                          <label>Amount:</label>
                          <mat-form-field appearance="outline" class="textBox">
                            <input matInput formControlName="empAmoutCtrl" min="0" type="number"
                              onKeyPress="if(this.value.length==8) return false;"
                              onkeyup="if(this.value<0){this.value= this.value * -1} this.value=this.value.replace('e','');"
                              (blur)="YearlyAmountCalculationDisplay('empAmoutCtrl','empFrequencyTypeCtrl','empYearlyTotalCtrl')" />
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="empSalaryTypeSelected == 33">
                          <label>Frequency:</label>
                          <mat-form-field appearance="outline" class="f-dropdown">
                            <mat-select formControlName="empFrequencyTypeCtrl"
                              (blur)="YearlyAmountCalculationDisplay('empAmoutCtrl','empFrequencyTypeCtrl','empYearlyTotalCtrl')">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let frequency of empFrequencyType"
                                [value]="frequency.refGroupDetailID">
                                {{frequency.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="empSalaryTypeSelected == 33">
                          <label>Yearly Total:</label>
                          <mat-form-field appearance="outline" class="textBox">
                            <input matInput type="text" type="number" formControlName="empYearlyTotalCtrl" readonly />
                          </mat-form-field>
                        </div>
                      </div>
                    </div>
                    <!-- <div fxLayout="row" class="div-border" style="margin-bottom: 10px;" fxLayoutAlign="left center"
                      *ngIf="empSalaryTypeSelected == '33'">

                    </div> -->
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div fxFlex="25" class="label-height">
                        <label class="red-label">Public Assistance (Recurring grant):</label>
                      </div>
                      <div fxFlex="75" class="items-row">
                        <div class="item">
                          <mat-form-field appearance="outline" class="y-n-dropdown">
                            <mat-select formControlName="publicAssistanceTypeCtrl"
                              (selectionChange)="publicAssistanceTypeSelectedValueChange($event)">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let publicAssist of publicAssistanceType"
                                [value]="publicAssist.refGroupDetailID">
                                {{publicAssist.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="publicAssistanceTypeSelected == 33">
                          <label>Amount:</label>
                          <mat-form-field appearance="outline" class="textBox">
                            <input matInput type="number" formControlName="publicAmoutCtrl" min="0"
                              onKeyPress="if(this.value.length==8) return false;"
                              onkeyup="if(this.value<0){this.value= this.value * -1} this.value=this.value.replace('e','');"
                              (blur)="YearlyAmountCalculationDisplay('publicAmoutCtrl','publicFrequencyTypeCtrl','publicYearlyTotalCtrl')" />
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="publicAssistanceTypeSelected == 33">
                          <label>Frequency:</label>
                          <mat-form-field appearance="outline" class="f-dropdown">
                            <mat-select formControlName="publicFrequencyTypeCtrl"
                              (blur)="YearlyAmountCalculationDisplay('publicAmoutCtrl','publicFrequencyTypeCtrl','publicYearlyTotalCtrl')">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let publicFreq of publicFrequencyType"
                                [value]="publicFreq.refGroupDetailID">
                                {{publicFreq.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="publicAssistanceTypeSelected == 33">
                          <label>Yearly Total:</label>
                          <mat-form-field appearance="outline" class="textBox">
                            <input matInput type="text" type="number" formControlName="publicYearlyTotalCtrl"
                              readonly />
                          </mat-form-field>
                        </div>
                      </div>
                    </div>
                    <!-- <div fxLayout="row" class="div-border" style="margin-bottom: 10px;" fxLayoutAlign="start"
                      *ngIf="publicAssistanceTypeSelected == 33">

                    </div> -->
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div fxFlex="25" class="label-height">
                        <label class="red-label">SSD/SSI:</label>
                      </div>
                      <div fxFlex="75" class="items-row">
                        <div class="item">
                          <mat-form-field appearance="outline" class="y-n-dropdown">
                            <mat-select formControlName="ssdTypeCtrl"
                              (selectionChange)="ssdTypeSelectedValueChange($event)">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let ssd of ssdType" [value]="ssd.refGroupDetailID">
                                {{ssd.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="ssdTypeSelected == 33">
                          <label>Amount:</label>
                          <mat-form-field appearance="outline" class="textBox">
                            <input matInput type="number" formControlName="ssdAmoutCtrl" min="0"
                              onKeyPress="if(this.value.length==8) return false;"
                              onkeyup="if(this.value<0){this.value= this.value * -1} this.value=this.value.replace('e','');"
                              (blur)="YearlyAmountCalculationDisplay('ssdAmoutCtrl','ssdFrequencyTypeCtrl','ssdYearlyTotalCtrl')" />
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="ssdTypeSelected == 33">
                          <label>Frequency:</label>
                          <mat-form-field appearance="outline" class="f-dropdown">
                            <mat-select formControlName="ssdFrequencyTypeCtrl"
                              (blur)="YearlyAmountCalculationDisplay('ssdAmoutCtrl','ssdFrequencyTypeCtrl','ssdYearlyTotalCtrl')">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let ssdFreq of ssdFrequencyType" [value]="ssdFreq.refGroupDetailID">
                                {{ssdFreq.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="ssdTypeSelected == 33">
                          <label>Yearly Total:</label>
                          <mat-form-field appearance="outline" class="textBox">
                            <input matInput type="text" type="number" formControlName="ssdYearlyTotalCtrl" readonly />
                          </mat-form-field>
                        </div>
                      </div>
                    </div>
                    <!-- <div fxLayout="row" class="div-border" style="margin-bottom: 10px;" fxLayoutAlign="left center"
                      *ngIf="ssdTypeSelected == 33">

                    </div> -->
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div fxFlex="25" class="label-height">
                        <label class="red-label">Veterans Assistance - GI Bill:</label>
                      </div>
                      <div fxFlex="75" class="items-row">
                        <div class="item">
                          <mat-form-field appearance="outline" class="y-n-dropdown">
                            <mat-select formControlName="veteransGIBillTypeCtrl"
                              (selectionChange)="veteransGIBillTypeSelectedValueChange($event)">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let veteransGIBill of veteransGIBillType"
                                [value]="veteransGIBill.refGroupDetailID">
                                {{veteransGIBill.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="veteransGIBillTypeSelected == 33">
                          <label>Amount:</label>
                          <mat-form-field appearance="outline" class="textBox">
                            <input matInput type="number" formControlName="veteransGIBillAmoutCtrl" min="0"
                              onKeyPress="if(this.value.length==8) return false;"
                              onkeyup="if(this.value<0){this.value= this.value * -1} this.value=this.value.replace('e','');"
                              (blur)="YearlyAmountCalculationDisplay('veteransGIBillAmoutCtrl','veteransGIBillFrequencyTypeCtrl','veteransGIBillYearlyTotalCtrl')" />
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="veteransGIBillTypeSelected == 33">
                          <label>Frequency:</label>
                          <mat-form-field appearance="outline" class="f-dropdown">
                            <mat-select formControlName="veteransGIBillFrequencyTypeCtrl"
                              (blur)="YearlyAmountCalculationDisplay('veteransGIBillAmoutCtrl','veteransGIBillFrequencyTypeCtrl','veteransGIBillYearlyTotalCtrl')">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let veteransGIBillFreq of veteransGIBillFrequencyType"
                                [value]="veteransGIBillFreq.refGroupDetailID">
                                {{veteransGIBillFreq.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="veteransGIBillTypeSelected == 33">
                          <label>Yearly Total:</label>
                          <mat-form-field appearance="outline" class="textBox">
                            <input matInput type="text" type="number" formControlName="veteransGIBillYearlyTotalCtrl"
                              readonly />
                          </mat-form-field>
                        </div>
                      </div>
                    </div>
                    <!-- <div fxLayout="row" class="div-border" style="margin-bottom: 10px;" fxLayoutAlign="left center"
                      *ngIf="veteransGIBillTypeSelected == 33">

                    </div> -->
                    <!-- veterns -->
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div fxFlex="25" class="label-height">
                        <label class="red-label">Veterans Assistance - Services Connected:</label>
                      </div>
                      <div fxFlex="75" class="items-row">
                        <div class="item">
                          <mat-form-field appearance="outline" class="y-n-dropdown">
                            <mat-select formControlName="veteransServicesTypeCtrl"
                              (selectionChange)="veteransServicesTypeSelectedValueChange($event)">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let veteransServ of veteransServicesType"
                                [value]="veteransServ.refGroupDetailID">
                                {{veteransServ.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="veteransServicesTypeSelected == 33">
                          <label>Amount:</label>
                          <mat-form-field appearance="outline" class="textBox">
                            <input matInput type="number" formControlName="veteransServicesAmoutCtrl" min="0"
                              onKeyPress="if(this.value.length==8) return false;"
                              onkeyup="if(this.value<0){this.value= this.value * -1} this.value=this.value.replace('e','');"
                              (blur)="YearlyAmountCalculationDisplay('veteransServicesAmoutCtrl','veteransServicesFrequencyTypeCtrl','veteransServicesYearlyTotalCtrl')" />
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="veteransServicesTypeSelected == 33">
                          <label>Frequency:</label>
                          <mat-form-field appearance="outline" class="f-dropdown">
                            <mat-select formControlName="veteransServicesFrequencyTypeCtrl"
                              (blur)="YearlyAmountCalculationDisplay('veteransServicesAmoutCtrl','veteransServicesFrequencyTypeCtrl','veteransServicesYearlyTotalCtrl')">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let veteransServ of veteransServicesFrequencyType"
                                [value]="veteransServ.refGroupDetailID">
                                {{veteransServ.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="veteransServicesTypeSelected == 33">
                          <label>Yearly Total:</label>
                          <mat-form-field appearance="outline" class="textBox">
                            <input matInput type="text" type="number" formControlName="veteransServicesYearlyTotalCtrl"
                              readonly />
                          </mat-form-field>
                        </div>
                        <!-- <div class="div-border" style="margin-bottom: 10px; " fxLayoutAlign="left center"
                        *ngIf="veteransServicesTypeSelected == 33">
                      </div> -->
                      </div>
                    </div>
                    <!--  -->
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div fxFlex="25" class="label-height">
                        <label class="red-label">Social Security:</label>
                      </div>
                      <div fxFlex="75" class="items-row">
                        <div class="item">
                          <mat-form-field appearance="outline" class="y-n-dropdown">
                            <!-- <mat-label> Select One</mat-label> -->
                            <mat-select formControlName="socialSecurityTypeCtrl"
                              (selectionChange)="socialSecurityTypeSelectedValueChange($event)">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let socialSec of socialSecurityType"
                                [value]="socialSec.refGroupDetailID">
                                {{socialSec.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="socialSecurityTypeSelected == 33">
                          <label>Amount:</label>
                          <mat-form-field appearance="outline" class="textBox">
                            <input matInput type="number" formControlName="socialSecurityAmoutCtrl" min="0"
                              onKeyPress="if(this.value.length==8) return false;"
                              onkeyup="if(this.value<0){this.value= this.value * -1} this.value=this.value.replace('e','');"
                              (blur)="YearlyAmountCalculationDisplay('socialSecurityAmoutCtrl','socialSecurityFrequencyTypeCtrl','socialSecurityYearlyTotalCtrl')" />
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="socialSecurityTypeSelected == 33">
                          <label>Frequency:</label>
                          <mat-form-field appearance="outline" class="f-dropdown">
                            <!-- <mat-label>Select One</mat-label> -->
                            <mat-select formControlName="socialSecurityFrequencyTypeCtrl"
                              (blur)="YearlyAmountCalculationDisplay('socialSecurityAmoutCtrl','socialSecurityFrequencyTypeCtrl','socialSecurityYearlyTotalCtrl')">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let socialSec of socialSecurityFrequencyType"
                                [value]="socialSec.refGroupDetailID">
                                {{socialSec.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="socialSecurityTypeSelected == 33">
                          <label>Yearly Total:</label>
                          <mat-form-field appearance="outline" class="textBox">
                            <input matInput type="text" type="number" formControlName="socialSecurityYearlyTotalCtrl"
                              readonly />
                          </mat-form-field>
                        </div>
                      </div>
                    </div>
                    <!-- <div fxLayout="row" class="div-border" style="margin-bottom: 10px;" fxLayoutAlign="left center"
                      *ngIf="socialSecurityTypeSelected == 33">

                    </div> -->
                    <!-- <div fxLayout="row">&nbsp;</div> -->
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div fxFlex="25" class="label-height">
                        <label class="red-label">Pension/Retirement:</label>
                      </div>
                      <div fxFlex="75" class="items-row">
                        <div class="item">
                          <mat-form-field appearance="outline" class="y-n-dropdown">
                            <!-- <mat-label> Select One</mat-label> -->
                            <mat-select formControlName="pensionTypeCtrl"
                              (selectionChange)="pensionTypeSelectedValueChange($event)">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let pension of pensionType" [value]="pension.refGroupDetailID">
                                {{pension.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="pensionTypeSelected == 33">
                          <label>Amount:</label>
                          <mat-form-field appearance="outline" class="textBox">
                            <input matInput type="number" formControlName="pensionAmoutCtrl" min="0"
                              onKeyPress="if(this.value.length==8) return false;"
                              onkeyup="if(this.value<0){this.value= this.value * -1} this.value=this.value.replace('e','');"
                              (blur)="YearlyAmountCalculationDisplay('pensionAmoutCtrl','pensionFrequencyTypeCtrl','pensionYearlyTotalCtrl')" />
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="pensionTypeSelected == 33">
                          <label>Frequency:</label>
                          <mat-form-field appearance="outline" class="f-dropdown">
                            <mat-select formControlName="pensionFrequencyTypeCtrl"
                              (blur)="YearlyAmountCalculationDisplay('pensionAmoutCtrl','pensionFrequencyTypeCtrl','pensionYearlyTotalCtrl')">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let pension of pensionFrequencyType"
                                [value]="pension.refGroupDetailID">
                                {{pension.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="pensionTypeSelected == 33">
                          <label>Yearly Total:</label>
                          <mat-form-field appearance="outline" class="textBox">
                            <input matInput type="text" type="number" formControlName="pensionYearlyTotalCtrl"
                              readonly />
                          </mat-form-field>
                        </div>
                      </div>
                    </div>
                    <!-- <div fxLayout="row" class="div-border" style="margin-bottom: 10px;" fxLayoutAlign="left center"
                      *ngIf="pensionTypeSelected == 33">

                    </div> -->
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div fxFlex="25" class="label-height">
                        <label class="red-label">Unemployment Compensation:</label>
                      </div>
                      <div fxFlex="75" class="items-row">
                        <div class="item">
                          <mat-form-field appearance="outline" class="y-n-dropdown">
                            <mat-select formControlName="unemploymentTypeCtrl"
                              (selectionChange)="unemploymentTypeSelectedValueChange($event)">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let unemployment of unemploymentType"
                                [value]="unemployment.refGroupDetailID">
                                {{unemployment.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="unemploymentTypeSelected == 33">
                          <label>Amount:</label>
                          <mat-form-field appearance="outline" class="textBox">
                            <input matInput type="number" formControlName="unemploymentAmoutCtrl" min="0"
                              onKeyPress="if(this.value.length==8) return false;"
                              onkeyup="if(this.value<0){this.value= this.value * -1} this.value=this.value.replace('e','');"
                              (blur)="YearlyAmountCalculationDisplay('unemploymentAmoutCtrl','unemploymentFrequencyTypeCtrl','unemploymentYearlyTotalCtrl')" />
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="unemploymentTypeSelected == 33">
                          <label>Frequency:</label>
                          <mat-form-field appearance="outline" class="f-dropdown">
                            <mat-select formControlName="unemploymentFrequencyTypeCtrl"
                              (blur)="YearlyAmountCalculationDisplay('unemploymentAmoutCtrl','unemploymentFrequencyTypeCtrl','unemploymentYearlyTotalCtrl')">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let unemployment of unemploymentFrequencyType"
                                [value]="unemployment.refGroupDetailID">
                                {{unemployment.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="unemploymentTypeSelected == 33">
                          <label>Yearly Total:</label>
                          <mat-form-field appearance="outline" class="textBox">
                            <input matInput type="text" type="number" formControlName="unemploymentYearlyTotalCtrl"
                              readonly />
                          </mat-form-field>
                        </div>
                      </div>
                    </div>
                    <!-- <div fxLayout="row" class="div-border" style="margin-bottom: 10px;" fxLayoutAlign="left center"
                      *ngIf="unemploymentTypeSelected == 33">

                    </div> -->
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div fxFlex="25" class="label-height">
                        <label class="red-label">Medicaid:</label>
                      </div>
                      <div fxFlex="75" class="items-row">
                        <div class="item">
                          <mat-form-field appearance="outline" class="y-n-dropdown">
                            <!-- <mat-label> Select One</mat-label> -->
                            <mat-select formControlName="medicaidTypeCtrl"
                              (selectionChange)="medicaidTypeSelectedValueChange($event)">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let medicaid of medicaidType" [value]="medicaid.refGroupDetailID">
                                {{medicaid.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="medicaidTypeSelected == 33">
                          <label>Medicaid #:</label>
                          <mat-form-field appearance="outline" class="textBox">
                            <input matInput type="text" formControlName="medicaidIdCtrl" maxlength="8" minlength="2"
                              mask="SS00000S" style="text-transform: uppercase" />
                          </mat-form-field>
                          <mat-icon style=" width:0; font-size: 20px"
                            matTooltip="Medicaid # is formatted as follows: Two alpha characters followed by five numeric numbers and then one alpha character, e.g. AA12345A"
                            matTooltipPosition="above" matTooltipClass="pact-tooltip">
                            info
                          </mat-icon>
                        </div>
                      </div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div fxFlex="25" class="label-height">
                        <label class="red-label">Medicare:</label>
                      </div>
                      <div fxFlex="75" class="items-row">
                        <div class="item">
                          <mat-form-field appearance="outline" class="y-n-dropdown">
                            <!-- <mat-label> Select One</mat-label> -->
                            <mat-select formControlName="medicareTypeCtrl">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let medicare of medicareType" [value]="medicare.refGroupDetailID">
                                {{medicare.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                      </div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div fxFlex="25" class="label-height">
                        <label class="red-label">SNAP:</label>
                      </div>
                      <div fxFlex="75" class="items-row">
                        <div class="item">
                          <mat-form-field appearance="outline" class="y-n-dropdown">
                            <mat-select formControlName="snapTypeCtrl">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let snap of snapType" [value]="snap.refGroupDetailID">
                                {{snap.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                      </div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div fxFlex="25" class="label-height">
                        <label class="red-label">HIV/AIDS Services Adm:</label>
                      </div>
                      <div fxFlex="75" class="items-row">
                        <div class="item">
                          <mat-form-field appearance="outline" class="y-n-dropdown">
                            <mat-select formControlName="hivServicesTypeCtrl"
                              (selectionChange)="hivServicesTypeSelectedValueChange($event)">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let hivServices of hivServicesType"
                                [value]="hivServices.refGroupDetailID">
                                {{hivServices.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="hivServicesTypeSelected == 33">
                          <label>Amount:</label>
                          <mat-form-field appearance="outline" class="textBox">
                            <input matInput type="number" formControlName="hivServicesAmoutCtrl" min="0"
                              onKeyPress="if(this.value.length==8) return false;"
                              onkeyup="if(this.value<0){this.value= this.value * -1} this.value=this.value.replace('e','');"
                              (blur)="YearlyAmountCalculationDisplay('hivServicesAmoutCtrl','hivServicesFrequencyTypeCtrl','hivServicesYearlyTotalCtrl')" />
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="hivServicesTypeSelected == 33">
                          <label>Frequency:</label>
                          <mat-form-field appearance="outline" class="f-dropdown">
                            <mat-select formControlName="hivServicesFrequencyTypeCtrl"
                              (blur)="YearlyAmountCalculationDisplay('hivServicesAmoutCtrl','hivServicesFrequencyTypeCtrl','hivServicesYearlyTotalCtrl')">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let hivServices of hivServicesFrequencyType"
                                [value]="hivServices.refGroupDetailID">
                                {{hivServices.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="hivServicesTypeSelected == 33">
                          <label>Yearly Total:</label>
                          <mat-form-field appearance="outline" class="textBox">
                            <input matInput type="text" type="number" formControlName="hivServicesYearlyTotalCtrl"
                              readonly />
                          </mat-form-field>
                        </div>
                      </div>
                    </div>
                    <!-- <div fxLayout="row" class="div-border" style="margin-bottom: 10px;" fxLayoutAlign="left center"
                      *ngIf="hivServicesTypeSelected == 33">

                    </div> -->
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div fxFlex="25" class="label-height">
                        <label class="red-label">Other Compensation:</label>
                      </div>
                      <div fxFlex="75" class="items-row">
                        <div class="item">
                          <mat-form-field appearance="outline" class="y-n-dropdown">
                            <!-- <mat-label> Select One</mat-label> -->
                            <mat-select formControlName="otherCompTypeCtrl"
                              (selectionChange)="otherCompTypeSelectedValueChange($event)">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let otherComp of otherCompType" [value]="otherComp.refGroupDetailID">
                                {{otherComp.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="otherCompTypeSelected == 33">
                          <label>Amount:</label>
                          <mat-form-field appearance="outline" class="textBox">
                            <input matInput type="number" formControlName="otherCompAmoutCtrl" min="0"
                              onKeyPress="if(this.value.length==8) return false;"
                              onkeyup="if(this.value<0){this.value= this.value * -1} this.value=this.value.replace('e','');"
                              (blur)="YearlyAmountCalculationDisplay('otherCompAmoutCtrl','otherCompFrequencyTypeCtrl','otherCompYearlyTotalCtrl')" />
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="otherCompTypeSelected == 33">
                          <label>Frequency:</label>
                          <mat-form-field appearance="outline" class="f-dropdown">
                            <mat-select formControlName="otherCompFrequencyTypeCtrl"
                              (blur)="YearlyAmountCalculationDisplay('otherCompAmoutCtrl','otherCompFrequencyTypeCtrl','otherCompYearlyTotalCtrl')">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let otherComp of otherCompFrequencyType"
                                [value]="otherComp.refGroupDetailID">
                                {{otherComp.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                        <div class="item" *ngIf="otherCompTypeSelected == 33">
                          <label>Yearly Total:</label>
                          <mat-form-field appearance="outline" class="textBox">
                            <input matInput type="text" type="number" formControlName="otherCompYearlyTotalCtrl"
                              readonly />
                          </mat-form-field>
                        </div>
                      </div>
                    </div>
                    <!-- <div fxLayout="row" class="div-border" style="margin-bottom: 10px;" fxLayoutAlign="left center"
                      *ngIf="otherCompTypeSelected == 33">

                    </div> -->
                  </div>
                </form>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <mat-tab id="ContactTab">
          <ng-template matTabLabel>
            <span>Important Contacts</span>
            <mat-icon *ngIf="contactsTabStatus !== 2"
              [ngStyle]="{'color': contactsTabStatus == 0 ? pendingColor : contactsTabStatus == 1 ? completedColor :noColor}">
              {{contactsTabStatus == 1?'check_circle': contactsTabStatus == 0 ? 'watch_later': ''}}</mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <form [formGroup]="demographicsContactsGroup">
              <div fxLayout="column" fxLayoutGap="20px">
                <div>
                  <mat-card class="consent-main-card mat-elevation-z0">
                    <div> Please list all of the applicant’s important contacts, if available. Important contacts
                      may be used in cases of emergency.</div>
                    <div fxLayout="column" fxLayoutGap="0px" class="div-border">
                      <div>
                        <div fxFlex>
                          <h3>Important Contacts</h3>
                        </div>
                      </div>
                      <div fxLayout="column" fxLayoutGap="5px" class="div-border" style="overflow-x: scroll;">
                        <div fxLayout="row" fxLayoutAlign="left center" style="width: 80%;">
                          <div fxFlex>
                            <span>First Name</span>
                            <input type="hidden" formControlName="hdnDemographicsContactIDCtrl" />
                            <input type="hidden" formControlName="hdnDemographicsIDCtrl" />
                            <mat-form-field appearance="outline">
                              <!-- <mat-label> First Name</mat-label> -->
                              <input matInput type="text" formControlName="firstNameCtrl"
                                style="text-transform: uppercase" minlength="2" />
                              <mat-error *ngIf="submitted && f.firstNameCtrl.errors?.required">
                                {{ validationMssg.firstNameCtrl.required }}</mat-error>
                              <mat-error *ngIf="submitted && f.firstNameCtrl.errors?.pattern">
                                {{ validationMssg.firstNameCtrl.pattern }}</mat-error>
                            </mat-form-field>
                          </div>
                          <div fxFlex>
                            <span>Last Name</span>
                            <mat-form-field appearance="outline">
                              <!-- <mat-label>Last Name</mat-label> -->
                              <input matInput type="text" formControlName="lastNameCtrl"
                                style="text-transform: uppercase" minlength="2" />
                              <mat-error *ngIf="submitted && f.lastNameCtrl.errors?.required">
                                {{ validationMssg.lastNameCtrl.required }}</mat-error>
                              <mat-error *ngIf="submitted && f.lastNameCtrl.errors?.pattern">
                                {{ validationMssg.lastNameCtrl.pattern }}</mat-error>
                            </mat-form-field>
                          </div>
                          <div fxFlex>
                            <span>Relationship</span>
                            <mat-form-field appearance="outline">
                              <mat-select formControlName="relationshipTypeCtrl">
                                <mat-option [value]="0">Select One</mat-option>
                                <mat-option *ngFor="let relationship of contactRelationshipType"
                                  [value]="relationship.refGroupDetailID">
                                  {{relationship.refGroupDetailDescription}}
                                </mat-option>
                              </mat-select>
                              <!-- <input matInput type="text" formControlName="relationshipTypeCtrl" /> -->
                              <mat-error *ngIf="submitted && f.relationshipTypeCtrl.errors?.required">
                                {{ validationMssg.relationshipTypeCtrl.required }}</mat-error>
                              <mat-error *ngIf="submitted && f.relationshipTypeCtrl.errors?.pattern">
                                {{ validationMssg.relationshipTypeCtrl.pattern }}</mat-error>
                            </mat-form-field>
                          </div>
                          <div fxFlex>
                            <span>Phone</span>
                            <mat-form-field appearance="outline" style="width: 125px;">
                              <input matInput type="text" mask="000-000-0000" [showMaskTyped]="true"
                                formControlName="phoneCtrl" />
                              <mat-error *ngIf="submitted && f.phoneCtrl.errors?.required">
                                {{ validationMssg.phoneCtrl.required }}</mat-error>
                              <mat-error *ngIf="submitted && f.phoneCtrl.errors?.pattern">
                                {{ validationMssg.phoneCtrl.pattern }}</mat-error>
                            </mat-form-field>
                          </div>
                          <div fxFlex>
                            <span>Alternate Phone</span>
                            <mat-form-field appearance="outline" style="width: 125px;">
                              <input matInput type="text" mask="000-000-0000" [showMaskTyped]="true"
                                formControlName="alternatePhoneCtrl" />
                              <mat-error *ngIf="submitted && f.alternatePhoneCtrl.errors?.required">
                                {{ validationMssg.alternatePhoneCtrl.required }}</mat-error>
                              <mat-error *ngIf="submitted && f.alternatePhoneCtrl.errors?.pattern">
                                {{ validationMssg.alternatePhoneCtrl.pattern }}</mat-error>
                            </mat-form-field>
                          </div>
                          <div fxFlex>
                            <mat-icon class="content-sub-actions green-color" matTooltip="Save"
                              (click)="saveDemographicsContact($event,demographicsContactsGroup)">
                              add_circle</mat-icon>
                            <!-- <p class="saveButton">
                              <button mat-raised-button color="primary"
                                (click)="saveDemographicsContact($event,demographicsContactsGroup)">
                                Save</button></p> -->
                          </div>
                          <!-- <div fxFlex><span>&nbsp;</span></div> -->
                        </div>
                      </div>
                    </div>
                  </mat-card>
                  <mat-card class="consent-main-card mat-elevation-z0">
                    <div fxLayout="column" fxLayoutGap="5px" class="div-border">
                      <ag-grid-angular #agGrid id="contactGrid" style="width: 100%; height: 250px;"
                        class="ag-theme-balham my-grid" [columnDefs]="columnDefs" [defaultColDef]="defaultColDef"
                        [rowData]="contactDataObj" [rowSelection]="rowSelection" [singleClickEdit]="true"
                        [floatingFilter]="false" [animateRows]="true" [gridOptions]="gridOptions"
                        [pagination]="pagination" [paginationPageSize]="5" [context]="context"
                        [frameworkComponents]="frameworkComponents" (firstDataRendered)="onFirstDataRendered($event)"
                        (gridReady)="onGridReady($event)">
                      </ag-grid-angular>
                    </div>
                  </mat-card>
                  <mat-card class="consent-main-card mat-elevation-z0">
                    <div>
                      <div fxFlex>
                        <h2>Important contacts from last 5 years of Prior Supportive Housing Applications</h2>
                      </div>
                    </div>
                    <div fxLayout="column" fxLayoutGap="5px" class="div-border">
                      <ag-grid-angular #agGrid id="PriorAppContactGrid" style="width: 100%; height: 250px;"
                        class="ag-theme-balham my-grid" [columnDefs]="columnDefs" [defaultColDef]="defaultColDef"
                        [rowData]="priorAppContactDataObj" [rowSelection]="rowSelection" [singleClickEdit]="true"
                        [floatingFilter]="false" [animateRows]="true" [gridOptions]="gridOptions"
                        [pagination]="pagination" [paginationPageSize]="5" [context]="context"
                        [frameworkComponents]="frameworkComponentsPriorAppContact"
                        (firstDataRendered)="onFirstDataRendered($event)"
                        (gridReady)="onGridReadyPriorAppContact($event)">
                      </ag-grid-angular>
                    </div>
                  </mat-card>
                </div>
              </div>
            </form>
          </ng-template>
        </mat-tab>
        <mat-tab id="FamilyTab" *ngIf="applicationType == 47">
          <ng-template matTabLabel>
            <span>Family Composition</span>
            <mat-icon *ngIf="familyCompositionTabStatus !== 2"
              [ngStyle]="{'color': familyCompositionTabStatus == 0 ? pendingColor : familyCompositionTabStatus == 1 ? completedColor :noColor}">
              {{familyCompositionTabStatus == 1?'check_circle': familyCompositionTabStatus == 0 ? 'watch_later': ''}}
            </mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <form [formGroup]="demographicsFamilyCompositionGroup">
              <div fxLayout="column" fxLayoutGap="20px">
                <div>
                  <mat-card class="consent-main-card mat-elevation-z0">
                    <div fxLayout="column" fxLayoutGap="0px" class="div-border">
                      <div fxFlex>
                        <h3>Family Members</h3>
                      </div>
                      <div fxLayout="column" fxLayoutGap="5px" class="div-border" style="overflow-x: scroll;">
                        <div fxLayout="row" fxLayoutAlign="left center" style="width: 80%;">
                          <div fxFlex>
                            <span>First Name</span>
                            <input type="hidden" formControlName="hdnDemographicFamilyCompositionIDCtrl" />
                            <input type="hidden" formControlName="hdnDemographicsIDCtrl" />
                            <mat-form-field appearance="outline">
                              <input matInput type="text" formControlName="firstNameCtrl"
                                style="text-transform: uppercase" minlength="2" />
                            </mat-form-field>
                          </div>
                          <div fxFlex>
                            <span>Last Name</span>
                            <mat-form-field appearance="outline">
                              <input matInput type="text" formControlName="lastNameCtrl"
                                style="text-transform: uppercase" minlength="2" />
                            </mat-form-field>
                          </div>
                          <div fxFlex>
                            <span>Relationship</span>
                            <mat-form-field appearance="outline">
                              <mat-select formControlName="relationshipTypeCtrl">
                                <mat-option [value]="0">Select One</mat-option>
                                <mat-option *ngFor="let relationship of relationshipType"
                                  [value]="relationship.refGroupDetailID">
                                  {{relationship.refGroupDetailDescription}}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                          </div>
                          <div fxFlex>
                            <span>Date of Birth</span>
                            <mat-form-field appearance="outline" style="width: 140px;">
                              <input matInput [matDatepicker]="dob" formControlName="dobCtrl" dateOnly [max]="now"
                                [min]="minDOB" (dateChange)="calculateFamilyAge($event)" placeholder="MM/DD/YYYY">
                              <mat-icon matSuffix (click)="dob.open()" style="cursor:pointer; color:#777;">today
                              </mat-icon>
                              <mat-datepicker #dob></mat-datepicker>
                              <mat-error *ngIf="demographicsFamilyCompositionGroup.get('dobCtrl').invalid">Invalid Date,
                                Please enter
                                valid DOB.
                              </mat-error>
                            </mat-form-field>
                          </div>
                          <div fxFlex>
                            <span>Age</span>
                            <mat-form-field appearance="outline" style="width: 50px;">
                              <input matInput formControlName="ageCtrl" readonly>
                            </mat-form-field>
                          </div>
                          <div fxFlex>
                            <mat-label>Comments</mat-label>
                            <mat-form-field appearance="outline">
                              <input matInput type="text" style="width: 250px;" formControlName="commentsCtrl" />
                            </mat-form-field>
                          </div>
                          <div fxFlex>
                            <mat-icon class="content-sub-actions green-color" matTooltip="Save"
                              (click)="saveDemographicsFamilyComposition($event,demographicsFamilyCompositionGroup)">
                              add_circle</mat-icon>
                          </div>
                        </div>
                        <!-- <div fxLayout="row" fxLayoutAlign="right">
                          <div fxFlex style="width: 100%; text-align: right; padding-right: 10px;">
                            <p class="saveButton">
                              <button mat-raised-button color="primary"
                              (click)="saveDemographicsFamilyComposition($event,demographicsFamilyCompositionGroup)">
                              Save</button>
                            </p>
                          </div>
                        </div> -->
                      </div>
                    </div>
                  </mat-card>
                  <mat-card class="consent-main-card mat-elevation-z0">
                    <div fxLayout="column" fxLayoutGap="5px" class="div-border">
                      <ag-grid-angular #agGrid id="familyCompositionGrid" style="width: 100%; height: 250px;"
                        class="ag-theme-balham my-grid" [columnDefs]="columnDefsFamily" [defaultColDef]="defaultColDef"
                        [rowData]="familyCompositionDataObj" [rowSelection]="rowSelection" [singleClickEdit]="true"
                        [floatingFilter]="false" [animateRows]="true" [gridOptions]="gridOptions"
                        [pagination]="pagination" [context]="context" [paginationPageSize]="5"
                        [frameworkComponents]="frameworkComponentsFamily"
                        (firstDataRendered)="onFirstDataRendered($event)"
                        (gridReady)="onGridReadyFamilyComposition($event)">
                      </ag-grid-angular>
                    </div>
                  </mat-card>
                  <mat-card class="consent-main-card mat-elevation-z0">
                    <div>
                      <div fxFlex>
                        <h2>Family members from last 5 years of Prior Supportive Housing Applications</h2>
                      </div>
                    </div>
                    <div fxLayout="column" fxLayoutGap="5px" class="div-border">
                      <ag-grid-angular #agGrid id="PriorAppFamilyCompositionGrid" style="width: 100%; height: 250px;"
                        class="ag-theme-balham my-grid" [columnDefs]="columnDefsFamily" [defaultColDef]="defaultColDef"
                        [rowData]="priorAppFamilyCompositionDataObj" [rowSelection]="rowSelection"
                        [singleClickEdit]="true" [floatingFilter]="false" [animateRows]="true"
                        [gridOptions]="gridOptions" [pagination]="pagination" [paginationPageSize]="5"
                        [context]="context" [frameworkComponents]="frameworkComponentsPriorAppFamily"
                        (firstDataRendered)="onFirstDataRendered($event)"
                        (gridReady)="onGridReadyPriorAppFamilyComposition($event)">
                      </ag-grid-angular>
                    </div>
                  </mat-card>
                  <mat-card class="consent-main-card mat-elevation-z0">
                    <div fxLayout="column" fxLayoutGap="5px" class="div-border">
                      <div fxLayout="row" fxLayoutAlign="left center">
                        <div fxFlex>
                          <label class="red-label">Is the Applicant currently pregnant ?</label>
                        </div>
                        <div fxFlex>
                          <mat-radio-group aria-label="Select an option" formControlName="isPregnantCtrl">
                            <mat-radio-button value="1" (click)="setPregnancyRadio(1)">Yes</mat-radio-button>&nbsp;
                            <mat-radio-button value="0" (click)="setPregnancyRadio(0)">No</mat-radio-button>
                          </mat-radio-group>
                        </div>
                        <div fxFlex *ngIf="IsPregnantSelectedValue == '1'">
                          <label class="red-label">What is the expected delivery date?</label>
                        </div>
                        <div fxFlex *ngIf="IsPregnantSelectedValue == '1'">
                          <mat-form-field appearance="outline">
                            <input matInput type="text" dateOnly placeholder="MM/DD/YYYY" [min]="minDate" maxlength="10"
                              [matDatepicker]="pregnancyDate" [max]="maxDate" formControlName="pregnancyDateCtrl">
                            <mat-icon matSuffix (click)="pregnancyDate.open()" style="cursor:pointer; color:#777;">today
                            </mat-icon>
                            <mat-datepicker #pregnancyDate></mat-datepicker>
                            <mat-error *ngIf="demographicsFamilyCompositionGroup.get('pregnancyDateCtrl').invalid">
                              Invalid
                              Date,
                              Please enter valid Date.
                            </mat-error>
                          </mat-form-field>
                        </div>
                        <div fxFlex><span>&nbsp;</span></div>
                      </div>
                    </div>
                  </mat-card>
                </div>
              </div>
            </form>
          </ng-template>
        </mat-tab>
        <!-- Below Document tab is removed as part of OPRE-2324 -->
        <!-- <mat-tab id="DocumentTab">
          <ng-template matTabLabel>
            <span>Documents</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <app-document [preSelectedDocType]="0" (docDataChanged)="onDocDataChanged($event)"></app-document>
              </div>
            </div>
          </ng-template>
        </mat-tab> -->
      </mat-tab-group>
    </mat-card-content>
  </mat-card>
  <app-nav-footer (Savebtn)="saveAllDemographicsTabs()" (Previousbtn)="PreviousPage()" (Nextbtn)="NextPage()">
  </app-nav-footer>
</div>
